version: '3'

services:

  mongo:
    image: mongo
    container_name: ddl-mongo
    restart: always
    env_file:
      - .env
    volumes:
      - ddl-mongo:/data/db
      - ./mongo-user.sh:/docker-entrypoint-initdb.d/mongo-user.sh
    ports:
      - 27017:27017

  rabbitmq:
    image: rabbitmq
    container_name: ddl-rabbitmq
    restart: always
    env_file:
      - .env
    environment:
      - RABBITMQ_DEFAULT_USER=${MQUSER}
      - RABBITMQ_DEFAULT_PASS=${MQPASS}
    volumes:
      - ddl-rabbimq:/var/lib/rabbitmq
    ports:
      - 5672:5672

  daemon:
    image: lean-delivery-docker-ddl-ng.bintray.io/daemon
    container_name: ddl-daemon
    restart: always
    env_file:
    - .env
    volumes:
      - ddl-storage:/var/ddl
    ports:
      - 8681:8681

  worker:
    image: lean-delivery-docker-ddl-ng.bintray.io/worker
    restart: always
    env_file:
    - .env
    volumes:
      - ddl-storage:/var/ddl
  
  dashboard:
    image: lean-delivery-docker-ddl-ng.bintray.io/dashboard
    container_name: ddl-dashboard
    restart: always
    volumes:
      - ./config.json:/html/config.json:ro
      - ./nginx.conf:/etc/nginx/conf.d/default.conf:ro
    ports:
      - 80:80
  
  tfstate:
    image: lean-delivery-docker-ddl-ng.bintray.io/tfstate
    container_name: ddl-tfstate
    restart: always
    env_file:
      - .env
    ports:
      - 12345:12345
      
  synchronizer:
    image: lean-delivery-docker-ddl-ng.bintray.io/synchronizer
    container_name: ddl-synchronizer
    restart: always
    env_file:
      - .env
    volumes:
      - ddl-storage:/var/ddl
    ports:
      - 8951:8951

  describer:
    image: lean-delivery-docker-ddl-ng.bintray.io/describer
    container_name: ddl-describer
    restart: always
    env_file:
      - .env
    ports:
      - 8935:8935

volumes:
    ddl-mongo:
      external: false
    ddl-rabbimq:
      external: false
    ddl-storage:
      external: false
